# Uses of Interface
org.opensaml.xacml.ctx.ResponseType

Packages that use ResponseType
Package
Description
org.opensaml.xacml.ctx.impl
XMLObject implementations for XACML context schema.
org.opensaml.xacml.profile.saml
XMLObject interfaces for SAML XACML profile.
org.opensaml.xacml.profile.saml.impl
XMLObject implementation classes for XACML SAML profile.

## Uses of ResponseType in org.opensaml.xacml.ctx.impl

Classes in org.opensaml.xacml.ctx.impl that implement ResponseType
Modifier and Type
Class
Description
`class`
`ResponseTypeImpl`
Concrete implementation of `ResponseType`.
Methods in org.opensaml.xacml.ctx.impl that return ResponseType
Modifier and Type
Method
Description
`ResponseType`
ResponseTypeImplBuilder.`buildObject()`
Builds a XACMLObject using the default name and namespace information provided XACML specifications.
`ResponseType`
ResponseTypeImplBuilder.`buildObject(String namespaceURI, String localName, String namespacePrefix)`
Creates an XMLObject with a given fully qualified name.

## Uses of ResponseType in org.opensaml.xacml.profile.saml

Methods in org.opensaml.xacml.profile.saml that return ResponseType
Modifier and Type
Method
Description
`ResponseType`
XACMLAuthzDecisionStatementType.`getResponse()`
Get's the `ResponseType` from the `XACMLAuthzDecisionStatement`.
Methods in org.opensaml.xacml.profile.saml with parameters of type ResponseType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionStatementType.`setResponse(ResponseType response)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.

## Uses of ResponseType in org.opensaml.xacml.profile.saml.impl

Fields in org.opensaml.xacml.profile.saml.impl declared as ResponseType
Modifier and Type
Field
Description
`private ResponseType`
XACMLAuthzDecisionStatementTypeImpl.`response`
The response of the authorization request.
Methods in org.opensaml.xacml.profile.saml.impl that return ResponseType
Modifier and Type
Method
Description
`ResponseType`
XACMLAuthzDecisionStatementTypeImpl.`getResponse()`
Get's the `ResponseType` from the `XACMLAuthzDecisionStatement`.
Methods in org.opensaml.xacml.profile.saml.impl with parameters of type ResponseType
Modifier and Type
Method
Description
`void`
XACMLAuthzDecisionStatementTypeImpl.`setResponse(ResponseType resp)`
Sets a `ResponseType` to the `XACMLAuthzDecisionStatement`.